Subject: Re: bug#8344: (substring ...) crashes on large vectors

From: Paul Eggert <[email-masked]>
Date: Fri, 25 Mar 2011 14:48:38 -0700

On 03/25/2011 02:24 PM, Stefan Monnier wrote:
> I'd urge you to focus on "handling an 8GB file"
> (on 32bit systems this won't work, but on 64bit it should but didn't
> last time I tried)

Yes, thanks, that is on my list of things to do.  This
nargs business is one of the (easier) steps needed
to get it done.  Another (easier) step will be to
merge the gnulib fixes for regular expressions into
Emacs, since gnulib has fixed several problems with
matching buffers larger than 2**31 bytes.
There are several other steps, of course, and some
will be harder.

To some extent I'm using gcc -Wstrict-overflow
as a first pass, to fix the more-obvious gotchas, in such
a way that regressions can be caught statically.  Many
of the other changes won't be so easy, but by then I hope
to understand Emacs internals better.  For example,
the Emacs regex code fails the static checks now, and
that is why I want to turn to the regex code at some point in the
near future.